Loading...
Searching...
No Matches
HalfWriter< true, T > Struct Template Reference

Partial specialization for floating-point types. More...

`#include <openvdb/io/Compression.h>`

## Public Types

using | HalfT = typename RealToHalf<T>::HalfT

## Static Public Member Functions

static size_t | writeSize (const T *data, Index count, uint32_t compression)
static void | write (std::ostream &os, const T *data, Index count, uint32_t compression)

## Detailed Description

template<typename T>
struct openvdb::v11_0::io::HalfWriter< true, T >

Partial specialization for floating-point types.

## Member Typedef Documentation

## HalfT

template<typename T>

using HalfT = typename RealToHalf<T>::HalfT

## Member Function Documentation

## write()

template<typename T>

void write | ( | std::ostream & | os,
|  | const T * | data,
|  | Index | count,
|  | uint32_t | compression )

inline static

## writeSize()

template<typename T>

size_t writeSize | ( | const T * | data,
|  | Index | count,
|  | uint32_t | compression )

inline static